Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractReadBuffer::AbstractBufferInput Class Reference

`#include <coherence/io/AbstractReadBuffer.hpp>`

Inherits Object.

Inherited by OctetArrayReadBuffer::OctetArrayBufferInput.

List of all members.

## Detailed Description

This is an implementation of the BufferInput interface that delegates its work back to its ReadBuffer.

Author:
  jh 2007.12.31

## Public Types
typedef spec::Handle | Handle
| AbstractBufferInput Handle definition.
typedef spec::View | View
| AbstractBufferInput View definition.
typedef spec::Holder | Holder
| AbstractBufferInput Holder definition.
## Public Member Functions
virtual ReadBuffer::View | getBuffer () const
virtual size32_t | getOffset () const
virtual void | setOffset (size32_t of)
virtual size32_t | available () const
virtual void | skip (size32_t cb)
virtual octet_t | read ()
virtual void | read (Array< octet_t >::Handle hab)
virtual void | read (Array< octet_t >::Handle hab, size32_t of, size32_t cb)
virtual ReadBuffer::View | readBuffer (size32_t cb)
virtual bool | readBoolean ()
virtual char16_t | readChar16 ()
virtual String::View | readString ()
virtual int16_t | readInt16 ()
virtual int32_t | readInt32 ()
virtual int64_t | readInt64 ()
virtual float32_t | readFloat32 ()
virtual float64_t | readFloat64 ()
## Protected Member Functions
| AbstractBufferInput (AbstractReadBuffer::View vBuf)
| Create a new AbstractBufferInput instance that delegates to the given AbstractReadBuffer.
virtual void | setOffsetInternal (size32_t of)
| Update the internal stream offset.
virtual String::View | readUTF (size32_t cb)
| Reads the specified-length UTF-8 data and converts it to a String value.
virtual String::View | convertUTF (size32_t of, size32_t cb) const
| Convert a UTF-8 encoded section of the binary stream into a String.
## Protected Attributes
FinalView < AbstractReadBuffer > | m_vBuf
| The delegate AbstractReadBuffer.
size32_t | m_of
| Current stream offset into the delegate AbstractReadBuffer.

## Constructor & Destructor Documentation

AbstractBufferInput | ( | AbstractReadBuffer::View | vBuf | ) | `[protected]`

Create a new AbstractBufferInput instance that delegates to the given AbstractReadBuffer.

Parameters:

  | vBuf | the delegate AbstractReadBuffer

## Member Function Documentation

virtual void setOffsetInternal | ( | size32_t | of | ) | `[protected, virtual]`

Update the internal stream offset.

Parameters:

  | of | the new offset

virtual String::View readUTF | ( | size32_t | cb | ) | `[protected, virtual]`

Reads the specified-length UTF-8 data and converts it to a String value.

Parameters:

  | cb | the number of bytes that the UTF data takes up in the stream

Returns:
  a String value

Exceptions:

  | UTFDataFormatException | if the bytes that were read were not a valid UTF-8 encoded string
  | EOFException | if the value could not be read because no more data remains to be read
  | IOException | if an I/O error occurs

virtual String::View convertUTF | ( | size32_t | of,
|  | size32_t | cb |
| ) |  |  | const`[protected, virtual]`

Convert a UTF-8 encoded section of the binary stream into a String.

Parameters:

  | of | the offset within the stream
  | cb | the length in bytes within the stream

Returns:
  the String value

Exceptions:

  | IOException | on convertion error

Reimplemented in OctetArrayReadBuffer::OctetArrayBufferInput.

The documentation for this class was generated from the following file:

- coherence/io/AbstractReadBuffer.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.